﻿local L = AceLibrary("AceLocale-2.2"):new("RaidAgent")

L:RegisterTranslations("zhCN", function() return {
	["AuthorPrefixed"] = "作者: {$}",
	["VersionPrefixed"] = "版本: {$}",
	["LastUpdatePrefixed"] = "最后更新: {$}",
	["fancyname"] = "{Author} {Title} {Ace}",
	["translator"] = "月色狼影@cwdg",
	["load_message"] = "{FancyName} v{Version} 加载 (翻译版本: {Translator})",
	["consolecommands"] = {"/RaidAgent", "/rag"},
	["fubarTabletHint"] = "当进入队伍后点击转换为团队.\n提示: 当进入团队后点击进行团队准备检测\n提示: 使用shift-点击离开队伍(当出现bug时同样可以正常使用)\n提示: 右击进行参数设置",
	
	["RaidStrength_name"] = "团队力量",
	["RaidStrength_desc"] = "计算整个团队的力量值",
	["RaidNumbersFu_name"] = "团队成员详细信息",
	["RaidNumbersFu_desc"] = "在FuBar上显示详细统计信息(在线/离线/死亡/区域)",
	["special_name"] = "附加设置",
	["special_desc"] = "选择所需要的显示提示信息",
	["autoML_name"] = "自动团队拾取",
	["autoML_desc"] = "自动分配碎甲(Naxx), 硬币/宝石(ZG) & scarabs/idols(AQ)给队友",
	["autoMLItems_name"] = "ML拾取物品",
	["autoMLItems_desc"] = "设置在ML模式自动拾取的物品",
	["randomML_name"] = "Random ML certain Items",
	["randomML_desc"] = "Automatically Randoms out items instead of auto (If you have an auto ML name that takes presedence)",
	["NoAnnounce_name"] = "无队伍通告",
	["NoAnnounce_desc"] = "Just hands out items without announcing to the group",
	["BoE_name"] = "BoE's",
	["BoE_desc"] = "Autoloots all BoE's to person specified (or random)",
	["MC_name"] = "Molten Core",
	["MC_desc"] = "Autoloots all Molten Core items to person specified (or random)",
	["BWL_name"] = "Blackwing Lair",
	["BWL_desc"] = "Autoloots all Blackwing Lair items to person specified (or random)",
	["ZG_name"] = "Zul'Gurub",
	["ZG_desc"] = "Autoloots all Zul'Gurub items to person specified (or random)",
	["AQ_name"] = "Ahn'Qiraj",
	["AQ_desc"] = "Autoloots all Ahn'Qiraj items to person specified (or random)",
	["Naxx_name"] = "Naxxramas",
	["Naxx_desc"] = "Autoloots all Naxxramas items to person specified (or random)",
	["sync_name"] = "Send Sync",
	["sync_desc"] = "Manually send a sync message",
	["updateSync_name"] = "Update sync message",
	["updateSync_desc"] = "Updates your sync message and sends a sync",
	["askForSync_name"] = "Beg group to update",
	["askForSync_desc"] = "Ask the entire group to send their sync message",
	["lookup_name"] = "Lookup name",
	["lookup_desc"] = "Manually lookup if you have data for a playername from previous groups",
	
	["FuHintClickRaid"] = "点击转为团队",
	["FuHintClickReady"] = "点击准备检测",
	["FuHintClickUngroup"] = "shift-点击离开队伍(当出现bug时同样可以正常使用",
	["FuHintClickReport"] = "点击汇报到团队, Shift-点击汇报到官员频道",
	["FuHintClickName1"] = "Click to toggle (A), Shift-Click to give away (L), Ctrl-Click to give ML, Alt-Click to uninvite",
	["FuHintClickName2"] = "Shift-Ctrl-Click to print Census report, Shift-Ctrl-Alt-Click to send Census report to Raid",
	
	["TabletCatType"] = "Type",
	["TabletCatAmount"] = "Amount",
	["TabletCatName"] = "Name",
	["TabletCatGroup"] = "Group",
	["TabletCatLevel"] = "Level",
	["TabletCatClass"] = "Class",
	["TabletCatSpecial"] = "Special",
	["TabletCatZone"] = "Zone",
	
	["RaidPromoted"] = "(A)",
	["RaidLeader"] = "(L)",
	["RaidML"] = "(ML)",

	["RaidStrengthValues"] = "Raid Strength: {$} (values based on: http://www.wowwiki.com/Class)",
	["RaidStrengthsValues"] = "Raid Strengths: {$} (values based on: http://www.wowwiki.com/Class)",
	["RaidStrengthDPS"] = "DPS",
	["RaidStrengthAoE"] = "AoE",
	["RaidStrengthHeal"] = "Heal",
	["RaidStrengthTank"] = "Tank",
	["RaidStrengthCCPullMA"] = "CC / Pull / MA",
	["RaidStrengthBuffDebuff"] = "Buff / Debuff",
	["Tank"] = true,
	["CC"] = true,
	["Buff"] = true,
	["Heal"] = true,
	["DPS"] = true,
	["Pull"] = true,
	["Debuff"] = true,
	["MA"] = true,
	["AoE"] = true,
	
	["TypeHealers"] = "Healer(s)",
	["TypeTanks"] = "Tank(s)",
	["TypeDPSers"] = "DPSer(s)",
	
	["RaidReportTypes"] = "Currently {Num} {Type} in raid",
	
	["LoggedIntoRaid"] = "Logged into a raid with rank: {$}",
	["NewRaidRank"] = "New rank in raid: {$}",
	
	["Nothing to display"] = true,
	["Not grouped"] = "You are not in a group",
	["Not Synced"] = true,
	["LearnedTalent(s)"] = "Learned new talent(s): {$}",
	["NoTranslationTalent"] = "No translation for talent with ID: {$} (Are you running latest version)",
	["CensusReport"] = "Census report on: {$}",
	["CensusReportNotSynced"] = "* Not synced",
	["CensusReportClass"] = "* Class: {$}",
	["CensusReportYes"] = "Yes",
	["CensusReportNo"] = "No",
	["AutoLoot"] = "Auto giving {Link} to {PlayerName}",
	["RandomLoot"] = "Random giving {Link} to {PlayerName} (rolled {Num})",
	
	["Error_OnlyLeaderCanConvert"] = "Only leader can convert to raid",
	["Error_OnlyLeaderCanReady"] = "Only leader can do ready checks",
	
	--[[ *** Regex *** ]]
	["LootLinkBreakDown"] = "^%|c%x%x(%x+)%|Hitem:(%d+):(%d+):(%d+):(%d+):(%d+):(%d+):(%d+):(%d+)%|h%[(.+)%]%|h%|r$",
	["Binds when equipped"] = true,
	
	--[[ *** CLASSES *** ]]
	["DRUID"] = "德鲁伊",
	["HUNTER"] = "猎人",
	["MAGE"] = "法师",
	["PALADIN"] = "圣骑士",
	["PRIEST"] = "牧师",
	["ROGUE"] = "潜行者",
	["SHAMAN"] = "萨满祭司",
	["WARLOCK"] = "术士",
	["WARRIOR"] = "战士",

	
	--[[ *** TALENTS *** ]]
	["DD_InS"] = "Insect Swarm",
	["DD_MoF"] = "Moonkin Form",
	["DD_IFF"] = "Improved Faire Fire",
	["DD_FFi"] = "Fearie Fire (Feral)",
	["DD_LoP"] = "Leader of the Pack",
	["DD_ILP"] = "Improved Leader of the Pack",
	["DD_Man"] = "Mangle",
	["DD_IMW"] = "Improved Mark of the Wild",
	["DD_NaS"] = "Nature's Swiftness",
	["DD_ToL"] = "Tree of Life",
	
	["HR_Pat"] = "Pathfinding",
	["HR_FeI"] = "Ferocious Inspiration",
	["HR_IHM"] = "Improved Hunter's Mark",
	["HR_TsA"] = "Trueshot Aura",
	["HR_WyS"] = "Wyvern Sting",
	
	["ME_MaA"] = "Magic Attunement",
	["ME_Slo"] = "Slow",
	["ME_ImS"] = "Improved Scorch",
	["ME_WiC"] = "Winter's Chill",
	
	["PN_AMa"] = "Aura Mastery",
	["PN_ILH"] = "Improved Lay on Hand",
	["PN_IBW"] = "Improving Blessing of Wisdom",
	["PN_IDA"] = "Improved Devotion Aura",
	["PN_BoK"] = "Blessing of Kings",
	["PN_ICA"] = "Improved Concentration Aura",
	["PN_IRA"] = "Improved Resistances Aura",
	["PN_BoS"] = "Blessing of Sanctuary",
	["PN_IBM"] = "Improved Blessing of Might",
	["PN_SaA"] = "Sanctity Aura",
	["PN_ISA"] = "Improved Sanctity Aura",
		
	["PT_PWF"] = "Improved Power Word: Fortitude",
	["PT_PWS"] = "Improved Power Word: Shield",
	["PT_DiS"] = "Divine Spirit",
	["PT_IDS"] = "Improved Divine Spirit",
	["PT_PoI"] = "Power Infusion",
	["PT_ReS"] = "Reflective Shield",
	["PT_Ins"] = "Inspiration",
	["PT_HoR"] = "Holy Reach",
	["PT_LiW"] = "Lightwell",
	["PT_ShW"] = "Shadow Weaving",
	["PT_Sil"] = "Silence",
	["PT_VaE"] = "Vampiric Embrace",
	["PT_ShF"] = "Shadow Form",
	["PT_Mis"] = "Misery",
	["PT_VaT"] = "Vampiric Touch",
	
	["RE_ISa"] = "Improved Sap",
	["RE_Hem"] = "Hemorrhage",
	
	["SN_EaG"] = "Earth's Grasp",
	["SN_ElF"] = "Elemental Fury",
	["SN_ToW"] = "Totem of Wrath",
	["SN_GuT"] = "Guardian Totems",
	["SN_IHW"] = "Improved Healing Wave",
	["SN_IRe"] = "Improved Reincarnation",
	["SN_AnH"] = "Ancestral Healing",
	["SN_HeF"] = "Healing Focus",
	["SN_HeG"] = "Healing Grace",
	["SN_ReT"] = "Restorative Totems",
	["SN_HeW"] = "Healing Way",
	["SN_NaS"] = "Nature's Swiftness",
	["SN_FoM"] = "Focused Mind",
	["SN_MTT"] = "Mana Tide Totem",
	["SN_NaG"] = "Nature's Guardian",
	["SN_NaB"] = "Nature's Blessing",
		
	["WK_ICW"] = "Improved Curse of Weakness",
	["WK_ShW"] = "Shadow Embrace",
	["WK_IHs"] = "Improved Healthstone",
	["WK_IIm"] = "Improved Imp",
	["WK_ISB"] = "Improved Shadow Bolt",
	
	["WR_MoS"] = "Mortal Strike",
	["WR_IDe"] = "Improved Demoralizing Shout",
	["WR_PiH"] = "Piercing Howl",
	["WR_IBa"] = "Improved Battle Shout",
	["WR_DeW"] = "Death Wish",
	["WR_LaS"] = "Last Stand",
	["WR_Def"] = "Defiance",
	["WR_IDi"] = "Improved Disarm",
	["WR_ISW"] = "Improved Shield Wall",
	["WR_IDS"] = "Improved Defensive Stance",
	["WR_Vit"] = "Vitality",
	
} end)